GRANT USAGE ON SEQUENCE cabinet_id_seq TO old_cos;
GRANT ALL ON SEQUENCE hardware_id_seq TO old_cos;
GRANT USAGE ON SEQUENCE hardwaretype_id_seq TO old_cos;
GRANT USAGE ON SEQUENCE ip_address_id_seq TO old_cos;
GRANT USAGE ON SEQUENCE operatingsystem_id_seq TO old_cos;
GRANT USAGE ON SEQUENCE patch_panel_id_seq TO old_cos;
GRANT USAGE ON SEQUENCE person_id_seq TO old_cos;
GRANT USAGE ON SEQUENCE printer_id_seq TO old_cos;
GRANT USAGE ON SEQUENCE printer_model_id_seq TO old_cos;
GRANT USAGE ON SEQUENCE switch_id_seq TO old_cos;
GRANT ALL ON SEQUENCE system_image_id_seq TO old_cos;
GRANT USAGE ON SEQUENCE system_image_ip_address_ip_address_id_seq TO old_cos;
GRANT USAGE ON SEQUENCE system_image_ip_address_system_image_id_seq TO old_cos;

GRANT SELECT,INSERT,UPDATE ON TABLE person TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE mm_person_dept_telephone_number TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE mm_mailinglist_include_person TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE mm_person_research_group TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE mm_person_room TO old_cos;
GRANT SELECT ON TABLE dept_telephone_number_hid TO old_cos;
GRANT SELECT ON TABLE room_hid TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE socket TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE hardware TO old_cos;
GRANT SELECT ON TABLE ip_address_hid TO old_cos;
GRANT ALL ON TABLE mm_system_image_ip_address TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE system_image TO old_cos;
GRANT SELECT ON TABLE person_hid TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE mm_research_group_computer_rep TO old_cos;
GRANT INSERT ON TABLE switch TO old_cos;
GRANT SELECT ON TABLE operating_system_hid TO old_cos;
GRANT SELECT ON TABLE _room_fume_hoods TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE mm_system_image_installer_tag TO old_cos;
GRANT SELECT ON TABLE research_group_hid TO old_cos;
GRANT SELECT ON TABLE subnet TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE hardware_type TO old_cos;
GRANT INSERT ON TABLE printer TO old_cos;
GRANT INSERT ON TABLE printer_class TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE dns_cnames TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE cabinet TO old_cos;
GRANT SELECT ON TABLE postgraduate_studentship_type_hid TO old_cos;
GRANT SELECT ON TABLE staff_category_hid TO old_cos;
GRANT SELECT ON TABLE hardware_type_hid TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE dns_anames TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE dns_mxrecords TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE mm_mailinglist_exclude_person TO old_cos;
GRANT SELECT ON TABLE www_person_hid_v2 TO old_cos;
GRANT SELECT ON TABLE _room_current_occupancy TO old_cos;
GRANT SELECT ON TABLE system_image_hid TO old_cos;
GRANT SELECT,INSERT ON TABLE _audit TO old_cos;
GRANT SELECT ON TABLE _closest_printer TO old_cos;
GRANT SELECT ON TABLE _closest_printer_v2 TO old_cos;
GRANT SELECT ON TABLE _closest_printer_v3 TO old_cos;
GRANT SELECT ON TABLE _closest_printer_v4 TO old_cos;
GRANT SELECT ON TABLE subnet_hid TO old_cos;
GRANT SELECT ON TABLE _fai_autoinstaller_flags TO old_cos;
GRANT SELECT ON TABLE _fai_system_image_username TO old_cos;
GRANT SELECT ON TABLE _jackdaw_data TO old_cos;
GRANT SELECT ON TABLE _mailing_list_chasing TO old_cos;
GRANT SELECT ON TABLE room_type_hid TO old_cos;
GRANT SELECT ON TABLE cabinet_patch_panel_subview TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE cabinet_view TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE dns_anames_view TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE dns_cnames_view TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE dns_mxrecords_view TO old_cos;
GRANT SELECT,INSERT,UPDATE ON TABLE edit_hardware_types_view TO old_cos;
GRANT SELECT,INSERT,UPDATE ON TABLE edit_operating_systems_view TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE hardware_basic_view TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE hardware_full_view TO old_cos;
GRANT SELECT ON TABLE hardware_hid TO old_cos;
GRANT SELECT ON TABLE hardware_system_image_subview TO old_cos;
GRANT SELECT,UPDATE ON TABLE ips_without_hardware_report TO old_cos;
GRANT SELECT,UPDATE ON TABLE ips_without_hostnames_view TO old_cos;
GRANT SELECT,UPDATE ON TABLE mailing_lists_optins_view TO old_cos;
GRANT SELECT,UPDATE ON TABLE mailing_lists_optouts_view TO old_cos;
GRANT SELECT ON TABLE occupants_hid TO old_cos;
GRANT SELECT ON TABLE patch_panel_cabinet_subview TO old_cos;
GRANT SELECT ON TABLE patch_panel_socket_subview TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE patch_panel_view TO old_cos;
GRANT USAGE ON SEQUENCE printer_id_seq TO old_cos;
GRANT USAGE ON SEQUENCE printer_model_id_seq TO old_cos;
GRANT SELECT ON TABLE printer_system_image_subview TO old_cos;
GRANT SELECT,DELETE,UPDATE ON TABLE printers_view TO old_cos;
GRANT SELECT ON TABLE socket_patch_panel_subview TO old_cos;
GRANT SELECT ON TABLE ssh_keys TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE switchport_view TO old_cos;
GRANT SELECT,UPDATE ON TABLE system_image_autoinstaller_view TO old_cos;
GRANT SELECT ON TABLE system_image_contact_details_subview TO old_cos;
GRANT SELECT ON TABLE system_image_hardware_subview TO old_cos;
GRANT SELECT ON TABLE system_image_ip_address TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE user_account_view TO old_cos;
GRANT SELECT ON TABLE www_person_hid_v1 TO old_cos;

GRANT SELECT ON TABLE hotwire."10_View/Computers/System_Image/_Contact_Details_ro" TO old_cos;
GRANT SELECT ON TABLE hotwire."10_View/Computers/System_Image/_Hardware_ro" TO old_cos;
GRANT SELECT ON TABLE hotwire."10_View/Computers/System_Image/_IP_address_ro" TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE hotwire."10_View/DNS/ANames" TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE hotwire."10_View/DNS/CNames" TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE hotwire."10_View/DNS/MX_Records" TO old_cos;
GRANT SELECT,INSERT,UPDATE ON TABLE hotwire."10_View/Edit_Hardware_Types" TO old_cos;
GRANT SELECT,INSERT,UPDATE ON TABLE hotwire."10_View/Edit_Operating_Systems" TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE hotwire."10_View/Hardware_Basic" TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE hotwire."10_View/Hardware_Full" TO old_cos;
GRANT SELECT,INSERT,UPDATE ON TABLE hotwire."10_View/IP_address" TO old_cos;
GRANT SELECT,UPDATE ON TABLE hotwire."10_View/Mailing_Lists/OptIns" TO old_cos;
GRANT SELECT,UPDATE ON TABLE hotwire."10_View/Mailing_Lists/OptOuts" TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE hotwire."10_View/Patch_Panel" TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE hotwire."10_View/People/Personnel_Phone" TO old_cos;
GRANT SELECT,DELETE,UPDATE ON TABLE hotwire."10_View/Printers" TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE hotwire."10_View/Switchport" TO old_cos;
GRANT SELECT,INSERT,DELETE,UPDATE ON TABLE hotwire."10_View/User_Account" TO old_cos;
GRANT SELECT,UPDATE ON TABLE hotwire."30_Report/IPs_without_Hardware_ro" TO old_cos;
GRANT SELECT,UPDATE ON TABLE hotwire."30_Report/IPs_without_Hostnames_ro" TO old_cos;
